CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

实用程序属性 (ActiveX)

2023-1-3 01:52| 发布者: admin| 查看: 162| 评论: 0|来自: AutoCAD

摘要: 获取文档的实用工具对象。

获取文档的实用工具对象。

支持的平台:仅窗口

签名

工 务 局:

object.Utility
对象

类型:文档

此属性适用的对象。

属性值

只读:是的

类型:实用工具

文档的实用工具对象。

言论

没有额外的评论。

例子

工 务 局:

Sub Example_Utility()
    ' This example creates a spline in model space using the
    ' CreateTypedArray method off of the utility object.
        
    ' Create the spline
    Dim splineObj As AcadSpline
    Dim startTan As Variant
    Dim endTan As Variant
    Dim fitPoints As Variant
    Dim utilObj As Object   ' CreateTypedArray needs to be a late bound object
    Set utilObj = ThisDrawing.Utility
    
    utilObj.CreateTypedArray startTan, vbDouble, 0.5, 0.5, 0
    utilObj.CreateTypedArray endTan, vbDouble, 0.5, 0.5, 0
    utilObj.CreateTypedArray fitPoints, vbDouble, 1, 1, 0, 5, 5, 0, 10, 0, 0
    Set splineObj = ThisDrawing.ModelSpace.AddSpline(fitPoints, startTan, endTan)
    
    ZoomAll
    
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_Utility()
    ;; This example creates a spline in model space using the
    ;; CreateTypedArray method off of the utility object.
        
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
   
    ;; Create the spline
    (setq utilObj (vla-get-Utility doc))
    
    (vla-CreateTypedArray utilObj 'startTan vlax-vbDouble 0.5 0.5 0)
    (vla-CreateTypedArray utilObj 'endTan vlax-vbDouble 0.5 0.5 0)
    (vla-CreateTypedArray utilObj 'fitPoints vlax-vbDouble 0 0 0 5 5 0 10 0 0)
    
    (setq modelSpace (vla-get-ModelSpace doc))
    (setq splineObj (vla-AddSpline modelSpace fitPoints startTan endTan))

    (vla-ZoomAll acadObj)
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-11 15:31

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部